<?php 
/**
 * @package dmsDbBackup
 * @desc Database backup package for Concrete5 v5.3.2RC1
 * @author David Sielert [MIRV] <David@codedef.com
 * @date 7-13-2009
 * 
**/

defined('C5_EXECUTE') or die(_("Access Denied."));

Class DavidmirvDbBackupPackage Extends Package {
	protected $pkgHandle = "davidmirv_db_backup";
	protected $appVersionRequired = "5.3.2";
	protected $pkgVersion = '1.0';
	
	public function getPackageDescription() 
	{
		return t("Adds ability to perform database backups from the concrete5 dashboard");
	}
	
	public function getPackageName() 
	{
		return t('Database Backup');		
	}
	
	public function install()
	{
		Loader::model('single_page');
		$pkg = parent::install();
		$d1 = SinglePage::add('/dashboard/davidmirv_db_backup/', $pkg);
		$d1->update(array('cName' => 'Database Backup', 'cDescription' => 'Perform database backups'));
       SinglePage::add('/dashboard/davidmirv_db_backup/help',$pkg);
	}
}
?>
