<?php 

class DavidmirvDbBackupComplete {

   public function __construct($encrypt = false) {
      Loader::model('davidmirvbackuptable','davidmirv_db_backup');
      Loader::model('davidmirvcrypt','davidmirv_db_backup');
      $db = Loader::db();
      if(!file_exists(DIR_BASE."/files/dbbackups")){
              mkdir(DIR_BASE."/files/dbbackups");
              file_put_contents(DIR_BASE . "/files/dbbackups/.htaccess","Order Deny,Allow
Deny from all");
      }
      $str_bkupfile = "dbu_". time() .".sql";
      $arr_tables = $db->getCol("SHOW TABLES FROM " . DB_DATABASE); 
      foreach ($arr_tables as $bkuptable){
         $tableobj = new DavidmirvBackupTableModel($bkuptable);
         $str_backupdata .= "DROP TABLE $bkuptable;\n\n";
         $str_backupdata .= $tableobj->str_createTableSql . "\n\n";
         if ($tableobj->str_createTableSql != "" ) {
            $str_backupdata .= $tableobj->str_insertionSql . "\n\n";
         }
      }
      $fh_backupfile = fopen(DIR_BASE."/files/dbbackups/". $str_bkupfile,"w");
      if ($encrypt == true) {
	  	 $crypt = new DavidmirvCryptModel(); 
         fwrite($fh_backupfile,$crypt->encrypt($str_backupdata));
      } else  {
         fwrite($fh_backupfile,$str_backupdata);
      }
      fclose($fh_backupfile);
      //for security
      chmod(DIR_BASE . "/files/dbbackups/". $str_bkupfile,000);

   }
}


